
# # # # # # # # # # # # # # # # # # # # # # # # # #
# Configuration file for Brutus (ETH Zurich)      #
# GNU compiler, GNU profiler                      #
#                                                 #
# Jonas Sukys                                     #
# SAM, ETH Zurich, Switzerland                    #
# sukys.jonas@gmail.com                           #
# # # # # # # # # # # # # # # # # # # # # # # # # #

COMPILER = {
    'compile': 'g++ -O2 -ffast-math -mfpmath=sse -msse2 -lm',
    'debug'  : 'g++ -g -ffast-math -mfpmath=sse -msse2 -lm',
    'profile': 'g++ -g -ffast-math -mfpmath=sse -msse2 -lm -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'mpiCC -O2 -ffast-math -mfpmath=sse -msse2 -lm',
    'debug'  : 'mpiCC -g -ffast-math -mfpmath=sse -msse2 -lm',
    'profile': 'mpiCC -g -ffast-math -mfpmath=sse -msse2 -lm -pg',
    'libs'   : ''
}

MPI_RUN = 'mpirun %(cmd)s'

WALLTIME = '1'
MEMORY   = '1024'

JOB_SUBMIT = 'bsub -n %(nprocs)d -W %(walltime)d:%(walltime-mins)d -R "rusage[mem=%(memory)d]" %(xopts)s %(cmd)s'

CLUSTER = 'Brutus + GNU'
