
# # # # # # # # # # # # # # # # # # # # # # # # # #
# Configuration file for local machine            #
# GNU compiler, GNU profiler                      #
#                                                 #
# Jonas Sukys                                     #
# SAM, ETH Zurich, Switzerland                    #
# sukys.jonas@gmail.com                           #
# # # # # # # # # # # # # # # # # # # # # # # # # #

COMPILER = {
    'compile': 'g++ -O2 -ffast-math -mfpmath=sse -msse2 -lm',
    'debug'  : 'g++ -g -ffast-math -mfpmath=sse -msse2 -lm',
    'profile': 'g++ -g -ffast-math -mfpmath=sse -msse2 -lm -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'mpic++ -O2 -ffast-math -mfpmath=sse -msse2 -lm',
    'debug'  : 'mpic++ -g -ffast-math -mfpmath=sse -msse2 -lm',
    'profile': 'mpic++ -g -ffast-math -mfpmath=sse -msse2 -lm -pg',
    'libs'   : ''
}

MPI_RUN = 'mpirun -np %(nprocs)d %(cmd)s'

CLUSTER = 'local + GNU'
