
# # # # # # # # # # # # # # # # # # # # # # # # # #
# Configuration file for Rosa (CSCS, Lugano)      #
# Intel compiler, CrayPat profiler                #
#                                                 #
# Jonas Sukys                                     #
# SAM, ETH Zurich, Switzerland                    #
# sukys.jonas@gmail.com                           #
# # # # # # # # # # # # # # # # # # # # # # # # # #

# no optimization directives needed since (enabled in ICC by default)

COMPILER = {
    'compile': 'CC -O3',
    'debug'  : 'CC -g',
    'profile': 'CC -g -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'CC -O3',
    'debug'  : 'CC -g',
    'profile': 'CC -g -pg',
    'libs'   : ''
}

MPI_RUN = '-n %(nprocs)d -N %(ptile)d %(cmd)s%(suffix)s'

PROFILE_PREPROC = 'pat_build -g mpi,io %(name)s'
PROFILE_SUFFIX  = '+pat'

WALLTIME = '1'
MEMORY   = '1024'
PTILE    = '32'

#SBATCH --mem-per-cpu=%(memory)d

JOB_SUBMIT = '''echo "#!/bin/bash
#SBATCH --job-name=%(name)s
#SBATCH --nodes=%(nodes)d
#SBATCH --time=%(walltime)d:%(walltime-mins)d:00
#SBATCH --ntasks-per-node=%(ptile)d
#SBATCH --account=s366
ulimit -c 0
%(xopts)s
aprun %(cmd)s" | sbatch
'''

CLUSTER = 'Cray XE6 (Rosa) + ICC'
