
# # # # # # # # # # # # # # # # # # # # # # # # # #
# Configuration file for Todi (CSCS, Lugano)      #
# CCE compiler, CrayPat profiler                  #
#                                                 #
# Jonas Sukys                                     #
# SAM, ETH Zurich, Switzerland                    #
# sukys.jonas@gmail.com                           #
# # # # # # # # # # # # # # # # # # # # # # # # # #

# no optimization directives needed since (enabled in CCE by default)

COMPILER = {
    'compile': 'CC',
    'debug'  : 'CC -g',
    'profile': 'CC -g -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'CC',
    'debug'  : 'CC -g',
    'profile': 'CC -g -pg',
    'libs'   : ''
}

MPI_RUN = '-n %(nprocs)d -N %(ptile)d %(cmd)s%(suffix)s'

PROFILE_PREPROC = 'pat_build -O apa -g mpi,io %(name)s'
PROFILE_SUFFIX  = '+pat'

WALLTIME = '1'
MEMORY   = '2048'
PTILE    = '16'

#SBATCH --mem-per-cpu=%(memory)d

JOB_SUBMIT = '''echo "#!/bin/bash
#SBATCH --job-name=%(name)s
#SBATCH --nodes=%(nodes)d
#SBATCH --time=%(walltime)d:%(walltime-mins)d:00
#SBATCH --ntasks-per-node=%(ptile)d
#SBATCH --account=s345
ulimit -c 0
%(xopts)s
aprun %(cmd)s" | sbatch
'''

CLUSTER = 'Cray XK7 (Todi) + CCE'
