
/* EQUATION SPECIFIC FVM routines for FLUX
 * Standard deterministic flux (Linear Advection: scalar linear conservation law)
 */

///::title:: Deterministic (Linear Advection)
///::macro:: SPEED_HOOK @ 1.0

#include "flux.h"

#include "volumes.h"
#include "chaos.h"

void flux_set_chaos_size () {
  CHAOS_SIZE [FLUX] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [NORMAL] =  0;
}

void coefficients_init () {}

real calc_max_speed (const ConservedVars &CV, const XtraVars &XV, const int &d) {
    return fabs(SPEED_HOOK);
}

void calc_point_flux (ConservedVars &F, const AllVariables &V, const int &d) {
  F.u = SPEED_HOOK * V.U.u;
}

void calc_xtra (XtraVars &Xijk, const ConservedVars &Uijk, const int &i, const int &j, const int &k) {
  Xijk.E = Uijk.u * Uijk.u / 2.0;
}
