
#ifndef FLUX_H
#define FLUX_H

#include "volumes.h"

#include "structures.h"

// === FLUX SPECIFIC FVM routines (defined in corresponding flux_*.cpp)

// initialize coefficients (setting topography, material coefficients, other time-independent volumes)
void coefficients_init ();

// calculate flux in the direction d
void calc_point_flux (ConservedVars &F, const AllVariables &V, const int &d);

// calculate maximum wave speed in the direction d
real calc_max_speed (const ConservedVars &CV, const XtraVars &XV, const int &d);

// calculate XtraVars from ConservedVars
void calc_xtra (XtraVars &XU, const ConservedVars &U, const int &i = 0, const int &j = 0, const int &k = 0);

#endif
