
#ifndef MATERIAL_H
#define MATERIAL_H

#include "volumes.h"
#include "include.h"

// global sizes of the material coefficient
extern int MATERIAL_N [NDIR] [L+1];

// number of cores that are used for parallel FFT
// remark: this might _differ_ from MULTIXl * MULTIYl * MULTIZl
extern int MULTI_FFT;

// defined in corresponding material_*.cpp

// set CHAOS_SIZE[FLUX]
void material_set_chaos_size ();

#if ISOTROPIC
real   c (real x, real y, real z); // for BUFFERED_MATERIAL=0 (default)
#else
matrix c (real x, real y, real z); // for BUFFERED_MATERIAL=0 (default)
#endif
void material_c_init ();      // for BUFFERED_MATERIAL=1 (for periodic BC only)

// defined in material.cpp

// evaluation of material c at specific cells
// WARNING: boundary conditions need to be implemented inside as well, since XtraVars are computed from ConservedVars obtained after applying b.c.
#if ISOTROPIC
real   c (const int &i, const int &j, const int &k);
#else
matrix c (const int &i, const int &j, const int &k);
#endif

#endif
