
#include "material.h"
#include "chaos.h"

#include "material-kl.h"

///::title:: Log-Normal Karhunen-Loeve expansion (1D, Holder cont's)
///::vars:: KL=10 MATERIAL_SCALING=0.1 KL_DECAY=2.5
///::depends:: material-kl

void material_set_chaos_size () {
  CHAOS_SIZE [FLUX] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [GLOBAL] [NORMAL]  = KL;
  CHAOS_SIZE [FLUX] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [NORMAL]  = 0;
}

real c (real x, real y, real z) {  
  // Karhunen–Loeve expansion of log(c) consisting of KL basis functions
  return exp ( get_kl_normal (x, y, z, 0, FLUX) );
}
