
#include "material.h"
#include "chaos.h"

///::title:: Discontinuous coefficient in x-direction (multi-D version)
///::consts:: SMOOTH_FLUX=0
///::vars:: LEFT_VALUE=2.0 RIGHT_VALUE=1.0 LOCATION=1.0

void material_set_chaos_size () {
  CHAOS_SIZE [FLUX] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [NORMAL]  = 0;
}

real c (real x, real y, real z) {
  if (x <= LOCATION)
    return LEFT_VALUE;
  else
    return RIGHT_VALUE;
}
