
#include "equation.h"
#include "chaos.h"

///::title:: Riemann initial data (1D, Buckley-Leverett)
///::vars:: NX=512 MAXT=0.4 LEFT_VALUE=0.25 RIGHT_VALUE=0.85 LOCATION=1.0
///::consts:: MAXX=2
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < LOCATION)
    v.So = LEFT_VALUE;
  else
    v.So = RIGHT_VALUE;
}
