
#include "equation.h"

#include "material-kl.h"
#include "chaos.h"

///::title:: KL expansion (1D, normally distributed, periodic b.c.)
///::vars:: NX=512 MAXT=2 KL=1 HAVE_VISCOSITY=1 VISCOSITY=1e-3 SMOOTH_SOLUTION=1
///::consts:: MAXX=1 KL_DECAY=2.5
///::bc:: REPEAT
///::depends:: material-kl

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = KL;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.u = get_kl_normal (x, y, z, 0, MODEL);
}
