
#include "equation.h"
#include "chaos.h"

///::title:: Riemann shock (1D, deterministic)
///::vars:: NX=512 MAXT=0.5 LEFT_VALUE=1.0 RIGHT_VALUE=0.0 LOCATION=1.0
///::consts:: MAXX=2.5
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < LOCATION)
    v.u = LEFT_VALUE;
  else
    v.u = RIGHT_VALUE;
}
