
#include "equation.h"
#include "chaos.h"

///::title:: Riemann shock (1D, normally random shock location)
///::vars:: NX=512 MAXT=0.1
///::consts:: MAXX=2
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 1;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1 + 0.03 * chaos [MODEL] [GLOBAL] [NORMAL] [0])
    v.u = 2.0;
  else
    v.u = 1.0;
}
