
#include "equation.h"
#include "chaos.h"

///::title:: Shu-Osher
///::vars:: NX=512 MAXT=1.8
///::consts:: MAXX=10.0
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1.0) {
    v.rho = 3.857143;
    v.u[X] = 2.629369;
    v.p = 10.333333;
  } else {
    v.rho = 1.0 + 0.2*sin(5*(x-5));
    v.u[X] = 0.0;
    v.p = 1.0;
  }
}
