
#include "equation.h"
#include "chaos.h"

///::title:: Sod shock tube (1D, uniformly distributed location)
///::vars:: NX=512 MAXT=0.5
///::consts:: MAXX=2.0
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1.0 + 0.1 * chaos [MODEL] [GLOBAL] [UNIFORM] [0]) {
    v.rho = 3.0;
    v.u[X] = 0.0;
    v.p = 3.0;
  } else {
    v.rho = 1.0;
    v.u[X] = 0.0;
    v.p = 1.0;
  }
}
