
#include "equation.h"
#include "chaos.h"

///::title:: Sine wave initial data with random amplitude (1D)
///::vars:: NX=512 MAXT=4
///::consts:: MAXX=2
///::vars:: SMOOTH_SOLUTION=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.u = chaos [MODEL] [GLOBAL] [UNIFORM] [0] * sin(pi*x);
}
