
#include "equation.h"
#include "chaos.h"

///::title:: Brio Wu shocktube A (1D)
///::vars:: NX=512 MAXT=0.5
///::consts:: MAXX=1.5
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 0.5) {
    v.rho = 1;
    v.u[X] = 1;
    v.p = 1;
    v.B[Y] = 1;
  } else {
    v.rho = 0.3;
    v.u[X] = -1;
    v.p = 0.2;
    v.B[Y] = 0.2;
  }
  v.B[X] = 0.7;
}
