
#include "equation.h"
#include "chaos.h"

///::title:: Cloud Shock (2D)
///::vars:: NX=128 NY=128 MAXT=0.06
///::consts:: MAXX=1 MAXY=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 0.05 + 0.1 * chaos [MODEL] [GLOBAL] [UNIFORM] [0]) {
    v.rho = 3.86859;
    v.u[X] = 11.2536;
    v.B[Y] = 2.1826182;
    v.p = 167.345;
  } else {
    if (sqr(x-0.25) + sqr(y-0.5) <= 0.15*0.15)
      v.rho = 10.0;
    else
      v.rho = 1.0;
    v.B[Y] = 0.56418958;
    v.p = 1.0;
  }

}
