
#include "equation.h"
#include "chaos.h"

///::title:: Cloud Shock (1D)
///::vars:: NX=512 MAXT=0.06
///::consts:: MAXX=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 0.05) {
    v.rho = 3.86859;
    v.u[X] = 11.2536;
    v.B[Y] = 2.1826182;
    v.B[Z] = -2.1826182;
    v.p = 167.345;
  } else {
    if (sqr(x-0.25) <= 0.15*0.15)
      v.rho = 10.0;
    else
    v.rho = 1.0;
    v.B[Y] = 0.56418958;
    v.B[Z] = 0.56418958;
    v.p = 1.0;
  }
}
