
#include "equation.h"
#include "chaos.h"

///::title:: Orszag Tang Vortex (2D, 8 sources of uncertainty)
///::vars:: NX=128 NY=128 MAXT=1
///::consts:: MAXX=2 MAXY=2
///::consts:: N_UNIFORM=8 N_NORMAL=0
///::bc:: REPEAT

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 8;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  x *= pi;
  y *= pi;

  v.rho = GAMMA*GAMMA * (1 + 0.05*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [0] - 1));
  v.u[X] = -sin(y + 0.05*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [1] - 1));
  v.u[Y] = sin(x + 0.1*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [2] - 1));
  v.p = GAMMA * ( 1 + 0.05*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [3] - 1));
  v.B[X] = -sin(y + 0.04*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [4] - 1)) * (1 + 0.05*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [5] - 1));
  v.B[Y] = sin(2*x + 0.05*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [6] - 1)) * (1 + 0.05*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [7] - 1));
}
