
#include "equation.h"
#include "chaos.h"

///::title:: Orszag Tang Vortex (2D, 2 sources of uncertainty)
///::vars:: NX=128 NY=128 MAXT=1
///::consts:: MAXX=2 MAXY=2
///::bc:: REPEAT

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 2;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  x *= pi;
  y *= pi;
  
  v.rho = GAMMA*GAMMA;
  v.u[X] = -sin(y + 0.05 * chaos [MODEL] [GLOBAL] [UNIFORM] [0]);
  v.u[Y] =  sin(x + 0.10 * chaos [MODEL] [GLOBAL] [UNIFORM] [1]);
  v.p = GAMMA;
  v.B[X] = -sin(y);
  v.B[Y] = sin(2*x);
}
