
#include "equation.h"
#include "chaos.h"

///::title:: Run for Roger! (3D)
///::vars:: NX=128 NY=128 NZ=128 MAXT=0.02
///::consts:: MAXX=1 MAXY=1 MAXZ=1
///::bc:: REPEAT

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.rho = 1.0;
  v.B[X] = 10.0/sqrt(2);
  v.B[Z] = 10.0/sqrt(2);
  
  if (sqr(x-0.5) + sqr(y-0.5) + sqr(z-0.5) < sqr(0.125))
    v.p = 100;
  else
    v.p = 1;
}
