
#include "equation.h"
#include "chaos.h"

///::title:: Dambreak with random high water level (2D)
///::vars:: NX=128 NY=128 MAXT=0.1
///::consts:: MAXX=3 MAXY=3
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1.0 + 0.1*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [0] - 1) )
    v.h = 3.0;
  else
    v.h = 1.0;
}
