
#include "equation.h"
#include "chaos.h"

///::title:: Lake at rest (multi-d version, 2d is default)
///::vars:: NX=128 NY=128 MAXT=0.1 BED_OFFSET=0.0
///::consts:: MAXX=2 MAXY=2
///::vars:: SMOOTH_SOLUTION=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.h = 1.0;
}
