
#include "equation.h"
#include "chaos.h"

///::title:: Steadystate with random initial perturbation (2D)
///::vars:: NX=128 NY=128 MAXT=0.1 BED_OFFSET=0.0 BED_SCALING=0.4
///::consts:: MAXX=2 MAXY=2
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  if (sqrt(sqr(x - 1) + sqr(y - 0.7)) < 0.1)
    v.h = 1.02 + 0.01*(2 * chaos [MODEL] [GLOBAL] [UNIFORM] [0] - 1);
  else
    v.h = 1.0;
}
