
#include "equation.h"
#include "chaos.h"

///::title:: Tsunami (1D)
///::vars:: NX=512 MAXT=0.53
///::vars:: PEAK=0.6 LOCATION=1.8 WIDTH=0.2
///::consts:: MAXX=2
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.h = 2.0;
  if (LOCATION - WIDTH/2 < x && x < LOCATION + WIDTH/2)
    v.h += PEAK * cos(pi/WIDTH*(x-LOCATION)) * chaos [MODEL] [GLOBAL] [UNIFORM] [0];
}
