
#include "equation.h"
#include "chaos.h"

///::title:: Wave front tracking (2D, zero initial velocity)
///::vars:: NX=128 NY=128 MAXT=0.2
///::consts:: MAXX=1.0 MAXY=1.0
///::vars:: SMOOTH_SOLUTION=1
///::bc:: REPEAT

const real CENTER = 0.5;
const real SIGMA  = 0.01;

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p = exp ( - sqr(x - CENTER) / (2 * sqr(SIGMA)) );
}
