
#include "equation.h"
#include "chaos.h"

///::title:: Gaussian pulse (1D, zero initial velocity)
///::vars:: NX=512 MAXT=2.0
///::consts:: MAXX=2
///::vars:: SMOOTH_SOLUTION=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

// p_0     = exp(-sqr(x-1)/(2*0.04));
// (p_0)_t = 0.0;

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p = exp(-sqr(x-1)/(2*0.04));
  v.u[X] = 0.0;
}
