
#include "equation.h"
#include "chaos.h"

///::title:: Gaussian pulse (2D, zero initial velocity)
///::vars:: NX=128 NY=128 MAXT=1.0
///::consts:: MAXX=3.0 MAXY=3.0
///::vars:: CENTER_X=0.5 CENTER_Y=1.5 SIGMA_X=0.2 SIGMA_Y=0.2
///::vars:: SMOOTH_SOLUTION=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p = exp ( - sqr(x - CENTER_X) / (2 * sqr(SIGMA_X)) - sqr(y - CENTER_Y) / (2 * sqr(SIGMA_Y)) );
}
