
#include "equation.h"
#include "chaos.h"

///::title:: Gaussian pulse (3D, zero initial velocity)
///::vars:: NX=64 NY=64 NZ=64 MAXT=1.0
///::consts:: MAXX=3.0 MAXY=3.0 MAXZ=3.0
///::vars:: SMOOTH_SOLUTION=1
///::bc:: REPEAT

const real CENTER_X = 1.5;
const real CENTER_Y = 1.5;
const real CENTER_Z = 1.5;
const real SIGMA_X  = 0.2;
const real SIGMA_Y  = 0.2;
const real SIGMA_Z  = 0.2;

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p = exp ( - sqr(x - CENTER_X) / (2 * sqr(SIGMA_X)) - sqr(y - CENTER_Y) / (2 * sqr(SIGMA_Y)) - sqr(z - CENTER_Z) / (2 * sqr(SIGMA_Z)) );
}
