
#include "equation.h"
#include "chaos.h"

///::title:: Interfering pulses (3D, zero initial velocity)
///::vars:: NX=64 NY=64 NZ=64 MAXT=1.0
///::consts:: MAXX=2.0 MAXY=2.0 MAXZ=2.0
///::vars:: SMOOTH_SOLUTION=1
///::bc:: REPEAT WAVE_REFLECT REPEAT
///::vars:: PULSE_AMPLITUDE=5000 PULSE_DURATION=0.02 PULSE_COUNT=3 PULSE_STOP=1.0 CENTER_1_X=0.5 CENTER_1_Y=2.0 CENTER_1_Z=1.0 CENTER_2_X=1.5 CENTER_2_Y=2.0 CENTER_2_Z=1.0 SIGMA_1=0.04 SIGMA_2=0.04
///::macro:: SOURCE_HOOK model-wave_interference3d.h Source[i][j][k].p+=interference3d_set_source(t,get_x(i),get_y(j),get_z(k));

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z) {}
