
#ifndef WAVE_INTERFACE3D_H
#define WAVE_INTERFACE3D_H

#include <math.h>
#include "numtypes.h"

inline real interference3d_set_source (const real &t, const real &x, const real &y, const real &z) {
  
  real mod = 1.0;
  
  if ( t >= PULSE_STOP || modf (PULSE_COUNT * t / PULSE_STOP, &mod) > PULSE_DURATION )
    return 0.0;
  
  real source = 0.0;
  
  source += PULSE_AMPLITUDE * exp ( - sqr(x - CENTER_1_X) / (2 * sqr(SIGMA_1)) - sqr(y - CENTER_1_Y) / (2 * sqr(SIGMA_1)) - sqr(z - CENTER_1_Z) / (2 * sqr(SIGMA_1)) );
  source += PULSE_AMPLITUDE * exp ( - sqr(x - CENTER_2_X) / (2 * sqr(SIGMA_2)) - sqr(y - CENTER_2_Y) / (2 * sqr(SIGMA_2)) - sqr(z - CENTER_2_Z) / (2 * sqr(SIGMA_2)) );
  
  return source;
}

#endif
