
#include "equation.h"
#include "chaos.h"

///::title:: Two shocks (1D)
///::vars:: NX=512 MAXT=2.0 INNER_VALUE=1.0 OUTER_VALUE=-1.0
///::consts:: MAXX=2
///::bc:: REPEAT

// p_0     = (0.5 < x && x < 1.5) ? INNER_VALUE : OUTER_VALUE;
// (p_0)_t = 0.0;

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p = ( 0.5 < x && x < 1.5 ) ? INNER_VALUE : OUTER_VALUE;
  v.u[X] = 0.0;
}
