
#include "equation.h"
#include "chaos.h"

///::title:: Sine wave (2D, zero initial velocity)
///::vars:: NX=128 NY=128 MAXT=2.0
///::consts:: MAXX=2 MAXY=2
///::vars:: SMOOTH_SOLUTION=1
///::bc:: REPEAT

// p_0     = sin(pi*x) * sin(pi*y);
// (p_0)_t = 0;

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p    = sin(pi*x) * sin(pi*y);
  v.u[X] = 0.0;
}
