
#include "mlmc.h"
#include "multi.h"

#include <time.h>
#include <fstream>
#include <iostream>

///::title:: No parallelisation
///::consts:: MULTIX=1 MULTIY=1 MULTIZ=1 MULTIM=1 MULTI_CORES=0
///::vars:: HIDE_DDM_COMMUNICATION=0

void multi_init (int argc, char **argv) {
  MULTI_TOTAL = 1;
  multi_main = 1;
}

void multi_mlmc_init () {
  
  multix = 0;
  multiy = 0;
  multiz = 0;
  
  multi_level_root = 1;
  multi_domain_root = 1;
  multi_samplers_root = 1;
  
  for (int multi_level=0; multi_level<=L; multi_level++)
    for (int mesh_level=0; mesh_level<=L; mesh_level++) {
      MULTIN[multi_level][mesh_level] = 1;
      MULTI[M][multi_level][mesh_level] = 1;
      for (int d=0; d<NDIR; d++)
        MULTI[d][multi_level][mesh_level] = 1;
  }
  
  MULTI_LEVEL = L;
  MULTI_SAMPLER = 0;
  MULTI_SUBDOMAIN = 0;
  LOWEST_MULTI_LEVEL = L;
  
  MULTIXl = 1;
  MULTIYl = 1;
  MULTIZl = 1;
  MULTIMl = 1;
  MULTINl = 1;
  
  for ( int d = 0; d < NDIR; d++)
    for ( int p = 0; p < 2; p++)
      multi_bc [d][p] = 0;
}

real multi_dt (real dt) {
  return dt;
}

real multi_reduce_functional (const real value) {
  return value;
}

void multi_sync                     () {}
void multi_sync_domain              () {}
void multi_compatibility_checks     () {}
void multi_level_init               () {}
void multi_level_exit               () {}
void multi_mesh_level_init          () {}
void multi_mesh_level_exit          () {}
void multi_ddm_start_send_recv_xtra () {}
void multi_ddm_start_send_recv      () {}
void multi_ddm_confirm_recv         () {}
void multi_ddm_confirm_send         () {}
void multi_compute_imbalance        () {}
void multi_compute_idling           () {}
void multi_compute_mpi_ddm_loads    () {}
void multi_combine_mc               () {}
void multi_combine_mlmc             () {}
void multi_balancer_gather_loads    () {}
void multi_cleanup                  () {}
void multi_finalize                 () {}

void multi_level_init_parameters    (const int mesh_level) {};

double multi_time () {
  return (double) clock() / CLOCKS_PER_SEC;
}

void multi_report_runtimes () {
  
  if (multi_main) {
    
    // write runtime to file
    std::ofstream runtimef (RUNTIME_FILE);
    runtimef << "clock_runtime=" << timer.duration() << std::endl;
    runtimef << "cores=1" << std::endl;
    runtimef.flush();
    
    // write runtime to STDOUT
    std::cout << std::endl;
    std::cout << " :: CPU clock time: ";
    print_runtime ( timer.duration() );
    std::cout << std::endl << std::endl;
  }
}
