
#include "equation.h"
#include "solver.h"

///::title:: FDM solver, Central Difference Quotient | for Burgers'

ConservedVars lF, rF;

void solver_calc_flux(ConservedVars &F,
                      const AllVariables &lV, const AllVariables &rV,
                      int i, int j, int k, int d)
{
  calc_point_flux(lF, rV, d);
  calc_point_flux(rF, rV, d);
  
  F = (lF + rF) / 2.0;
}

real solver_calc_max_speed (const AllVariables &lV, const AllVariables &rV,
                            const int i, const int j, const int k, const int d)
{
  return calc_max_speed (U[i][j][k], Xtra[i][j][k], d);
}
