
#include "equation.h"
#include "solver.h"

///::title:: FDM solver, Central Difference Quotient + Diffusion

ConservedVars lF, rF;
ConservedVars diffusion;

void solver_calc_flux(ConservedVars &F,
                      const AllVariables &lV, const AllVariables &rV,
                      int i, int j, int k, int d)
{
  calc_point_flux (lF, rV, d);
  calc_point_flux (rF, rV, d);
  
  diffusion.p    = rF.u[d] - lF.u[d];
  diffusion.u[d] = rF.p - lF.p;
  
  /*
  diffusion.p    = ( U[i][j][k].p - U[i-DX[d]][j-DX[d]][k-DX[d]].p ) / 2.0;
  diffusion.u[d] = ( Xtra[i][j][k].c * U[i][j][k].u[d] - Xtra[i-DX[d]][j-DX[d]][k-DX[d]].c * U[i-DX[d]][j-DX[d]][k-DX[d]].u[d] ) / 2.0;
  */
  
  F += lF;
  F += rF;
  F += diffusion;
  F /= 2.0;
}

real solver_calc_max_speed (const AllVariables &lV, const AllVariables &rV,
                            const int i, const int j, const int k, const int d)
{
  return calc_max_speed (U[i][j][k], Xtra[i][j][k], d);
}
