
#include "equation.h"
#include "space.h"
#include "space-o2eno-util.h"

///::title:: Second Order in Space, plain ENO
///::depends:: time_o2 quadrature_o2 powell_o23 space-o2eno-util
///::consts:: ORDER=2 GHOST_SIZE=2 INDICATOR=1
///::vars:: CFL=0.475
///::macro:: PRE_STEP_HOOK space-o2eno-util.h eno_calc_stencil();

void left(AllVariables &V, int i, int j, int k, int d)
{
  if (stencil[d][i][j][k] == -1) {
    V.U = 0.5*(U[i][j][k] + U[i-DX[d]][j-DY[d]][k-DZ[d]]);
  } else {
    V.U = 0.5*(3*U[i][j][k] - U[i+DX[d]][j+DY[d]][k+DZ[d]]);
  }
  calc_xtra(V.XU, V.U, i, j, k);
}

void right(AllVariables &V, int i, int j, int k, int d)
{
  if (stencil[d][i][j][k] == -1) {
    V.U = 0.5*(3*U[i][j][k] - U[i-DX[d]][j-DY[d]][k-DZ[d]]);
  } else {
    V.U = 0.5*(U[i][j][k] + U[i+DX[d]][j+DY[d]][k+DZ[d]]);
  }
  calc_xtra(V.XU, V.U, i, j, k);
}
