
#include "time.h"

#include "equation.h"
#include "multi.h"

///::title:: Second order Runge-Kutta timestepping

// u' = u + dt * u_t (u, t)
// u" = u' + dt * u_t (u', t+dt)
// u = (u + u")/2

volume<ConservedVars> save;

void time_step_internal_cells () {
  
  // volume for intermediate time steps (no ghost cells)
  save.reinit (NXl, NYl, NZl, 0);
  save += U;
  
  #if HIDE_DDM_COMMUNICATION
  
  time_sub_step_internal_cells();
  time_step_calc_xtra_internal_cells();
  
  #endif
}

void time_step_external_cells () {
  
  #if HIDE_DDM_COMMUNICATION
  
  time_sub_step_external_cells();
  time_step_calc_xtra_external_cells();
  
  #else
  
  time_sub_step();
  time_step_calc_xtra();
  
  #endif
  
  time_sub_step();
  
  U += save;
  U *= 0.5;
  
  time_step_calc_xtra();
}
