
#include "time.h"

#include "equation.h"
#include "multi.h"

///::title:: Third order Runge-Kutta timestepping
///::consts:: BC_REPEAT_X=0 BC_REPEAT_Y=0 BC_REPEAT_Z=0

volume<ConservedVars> save;

void time_step_internal_cells () {
  
  // volume for intermediate time steps (no ghost cells)
  save.reinit (NXl, NYl, NZl, 0);
  save += U;
  
  #if HIDE_DDM_COMMUNICATION
  
  time_sub_step_internal_cells();
  time_step_calc_xtra_internal_cells();
  
  #endif
}

void time_step_external_cells () {
  
  #if HIDE_DDM_COMMUNICATION
  
  time_sub_step_external_cells();
  time_step_calc_xtra_external_cells();
  
  #else
  
  time_sub_step();
  time_step_calc_xtra();
  
  #endif
  
  time_sub_step();
  
  save *= 3;
  U += save;
  U *= 0.25;
  
  time_step_calc_xtra();
  
  time_sub_step();
  
  U *= 2;
  U += save;
  U /= 3;
  
  time_step_calc_xtra();
}
