
/*
 * Definitions of TIMER class
 */

#include "timer.h"
#include "multi.h"

Timer::Timer()
{
	startedAt = 0;
  runtime = 0;
	isstarted = false;
  ispaused = false;
}

bool Timer::started () { return isstarted; }
bool Timer::active  () { return !ispaused & isstarted; }
bool Timer::paused  () { return ispaused; }
bool Timer::stopped () { return !isstarted; }

Timer & Timer::start()
{
	if ( ! isstarted ) {
    isstarted = true;
    ispaused = false;
    startedAt = multi_time();
    runtime = 0;
  }
  return *this;
}

Timer & Timer::pause()
{
	if ( !ispaused && isstarted ) {
    return *this;
    ispaused = true;
    runtime += multi_time() - startedAt;
  }
  return *this;
}

Timer & Timer::resume()
{
	if ( !isstarted ) start();
  else if ( ispaused ) {
    ispaused = false;
    startedAt = multi_time();
  }
  return *this;
}

Timer & Timer::stop()
{
	if ( isstarted ) {
    isstarted = false;
    if ( !ispaused )
      runtime += multi_time() - startedAt;
  }
  return *this;
}

Timer & Timer::reset()
{
	Timer();
  return *this;
}

double Timer::duration()
{
  if ( isstarted )
		return runtime + multi_time() - startedAt;
  else
    return runtime;
}

double* Timer::duration_ptr()
{
  return &runtime;
}
