
#include "topography.h"

#include "chaos.h"

#define HEIGHT 1.0
#define WIDTH 0.2
#define CENTER 1.0
#define PERTURBATION 0.2

///::title:: Bump (1D version)

void topography_set_chaos_size () {
  CHAOS_SIZE [TOPOGRAPHY] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [TOPOGRAPHY] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [TOPOGRAPHY] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [TOPOGRAPHY] [LOCAL]  [NORMAL]  = 0;
}

// parabolic "bump" centered at CENTER, with given HEIGHT and width being 2*WIDTH is perturbed with +/- PERTURBATION

real b (real x, real y) {
  real height = HEIGHT + PERTURBATION * (1 - 2 * chaos [TOPOGRAPHY] [GLOBAL] [UNIFORM] [0]);
  return fabs(x-CENTER) < WIDTH ? height - sqr(x-CENTER)*(height / sqr(WIDTH)) : 0.0;
}
