
#include "topography.h"

#include "chaos.h"

#define HEIGHT 1.0
#define SCALE_X 5.0
#define SCALE_Y 50.0
#define CENTER_X 1.0
#define CENTER_Y 1.0
#define PERTURBATION 0.1

///::title:: Bump (2D version)

// parabolic "bump" centered at CENTER, with given HEIGHT and width being 2*WIDTH is perturbed with +/- PERTURBATION

void topography_set_chaos_size () {
  CHAOS_SIZE [TOPOGRAPHY] [GLOBAL] [UNIFORM] = 1;
  CHAOS_SIZE [TOPOGRAPHY] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [TOPOGRAPHY] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [TOPOGRAPHY] [LOCAL]  [NORMAL]  = 0;
}

real b (real x, real y) {
  real height = HEIGHT + PERTURBATION * (1 - 2 * chaos [TOPOGRAPHY] [GLOBAL] [UNIFORM] [0]);
  return height * exp( - SCALE_X*sqr(x - CENTER_X) - SCALE_Y*sqr(y - CENTER_Y) );
}
