
#include "equation.h"
#include "chaos.h"

///::title:: Isothermal Blast Wave (2D)
///::consts:: GAMMA=1.001
///::vars:: NX=128 NY=128 MAXT=0.09
///::consts:: MAXX=1 MAXY=1
///::bc:: NEUMANN

void model_set_chaos_size () {
  CHAOS_SIZE [MODEL] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [GLOBAL] [NORMAL]  = 1;
  CHAOS_SIZE [MODEL] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [MODEL] [LOCAL]  [NORMAL]  = 0;
}

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.u[X] = 0.0;
  v.u[Y] = 0.0;

  v.B[X] = 5.0 / sqrt(pi) + (0.2 * chaos [MODEL] [GLOBAL] [UNIFORM] [0]);
  v.B[Y] = 0.0;
  
  if ( sqr(x - 0.5) + sqr(y - 0.5) <= sqr(0.05) )
    v.rho = 100.0;
  else
    v.rho = 0.01;
  
  v.p = v.rho;
}
